From d3c008a97bf6c1aba5e56244c9774af78619bb05 Mon Sep 17 00:00:00 2001
From: Roman Dadkov <romand@etersoft.ru>
Date: Mon, 26 Dec 2011 17:23:07 +0400
Subject: [PATCH] [eter-1.0.12] msi: fixing errors

---
 dlls/msi/custom.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/dlls/msi/custom.c b/dlls/msi/custom.c
index 0af5daa..45ad1f5 100644
--- a/dlls/msi/custom.c
+++ b/dlls/msi/custom.c
@@ -1204,6 +1204,7 @@ LPWSTR correct_filepath_alternative(MSIPACKAGE *package, LPCWSTR filepath){
 static UINT HANDLE_CustomType50(MSIPACKAGE *package, LPCWSTR source,
                                 LPCWSTR target, const INT type, LPCWSTR action)
 {
+    WCHAR *exe, *arg;
     STARTUPINFOW si;
     PROCESS_INFORMATION info;
     WCHAR *prop;
@@ -1236,8 +1237,10 @@ static UINT HANDLE_CustomType50(MSIPACKAGE *package, LPCWSTR source,
 
     TRACE("executing exe %s\n", debugstr_w(cmd));
 
-    rc = CreateProcessW(NULL, cmd, NULL, NULL, FALSE, 0, NULL,
-                  c_collen, &si, &info);
+    if (!(exe = msi_dup_property( package->db, source ))) return ERROR_SUCCESS;
+
+    rc = deformat_string( package, target, &arg );
+    TRACE("exe %s arg %s\n", debugstr_w(exe), debugstr_w(arg));
 
     if ( !rc )
     {
-- 
1.7.6.4
